.unit-test-grid-wrapper {
    position: relative;
    overflow: auto;
    height: 100%;
    background: #FFFFFF;
    border-radius: 12px;
    padding: 12px;

    .unit-test-grid-series {
        display: grid;
        grid-template-columns: repeat(3, 1fr);

        @media screen and (min-width: 1280px) {
            grid-template-columns: repeat(4, 1fr);
        }

        @media screen and (min-width: 1400px) {
            grid-template-columns: repeat(5, 1fr);
        }

        @media screen and (min-width: 1920px) {
            grid-template-columns: repeat(6, 1fr);
        }

        row-gap: 20px;
        column-gap: 20px;
        padding: 0 0 20px;

        .container-item {
            box-sizing: border-box;

            display: flex;
            flex-direction: column;
            justify-content: space-between;
            padding: 10px;
            gap: 10px;

            background: #FFFFFF;
            border: 1px solid #F4F7FC;
            border-radius: 8px;

            &.locked {
                &.hover:hover {
                    box-shadow: none;
                    cursor: not-allowed;

                    img {
                        filter: none;
                    }
                }

                .thumbnail {
                    img {
                        opacity: 0.4;
                    }
                }

                .unit-test-name {
                    color: #757688;
                }

                .info-content {
                    opacity: 0.4;
                }
            }

            &.hover:hover {
                box-shadow: 0px 4px 20px rgba(76, 95, 168, 0.1);
                cursor: pointer;
                border: 1px solid #F4F7FC;
            }

            .boxSkeleton {
                width: 100%;
                background: linear-gradient(90deg, rgba(0, 0, 0, 0.06) 25%, rgba(0, 0, 0, 0.15) 37%, rgba(0, 0, 0, 0.06) 63%);
                background-size: 400% 100%;
                animation-name: loading-animation;
                animation-duration: 1.4s;
                animation-timing-function: ease;
                animation-iteration-count: infinite;
                border-radius: 8px;

                @keyframes loading-animation {
                    0% {
                        background-position: 100% 50%;
                    }

                    100% {
                        background-position: 0 50%;
                    }
                }
            }

            .boxImageSkeleton {
                padding-top: 100%;
            }

            .boxInfoSkeleton {
                padding-top: 97px;
            }

            .thumbnail {
                position: relative;
                border-radius: 8px;
                width: 100%;
                border: 1px solid transparent;
                display: flex;
                align-items: center;
                justify-content: center;

                .buyExam{
                    position: absolute;
                    padding: 1px 7px;
                    display: flex;
                    align-items: center;
                    gap: 5px;
                    background: red;
                    top: 4px;
                    right: 4px;
                    border-radius: 8px;
                    background: linear-gradient(142deg, #21C274 0%, #9CCA9C 90%, #FFE6CF 100%);

                    &.choose-to-use{
                        padding: 6px 7px;
                        background: linear-gradient(142deg, #08F 0%, #90CAFF 90%, #FFF 100%);
                        .price {
                            p{
                                font-weight: 500;
                                font-size: 13px;
                            }
                        }
                    }

                    .price{
                        p{
                            color: #FFF;
                            font-size: 10px;
                            line-height: 13px;
                            margin: 0;
                        }
                        b{
                            color: white;
                            font-size: 13px;
                            line-height: 13px;
                            font-weight: 600;
                        }
                    }
                }

                img {
                    position: relative;
                    object-fit: contain;
                    height: 100%;
                    width: 100%;
                    border-radius: 8px;
                    border: 1px solid transparent;
                }

                .icon-private{
                    position: absolute;
                    top: 10px;
                    left: 10px;

                    svg{
                        width: 20px;
                        height: auto;
                    }
                }

                .locked-btn {
                    width: 31px;
                    height: 31px;
                    position: absolute;
                    top: 7px;
                    right: 7px;
                    background: #FFFFFF;
                    border-radius: 8px;
                    box-shadow: 0px 4px 4px rgba(76, 95, 168, 0.2);
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    cursor: pointer !important;
                }

                .action-btn {
                    width: 31px;
                    height: 31px;
                    position: absolute;
                    top: 7px;
                    right: 7px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    border-radius: 8px;
                    background: #FFFFFF;
                    box-shadow: 0px 4px 4px rgba(76, 95, 168, 0.1);
                    transition: background 0.25s;

                    &:hover {
                        background: #DFDAFF;

                        img {
                            filter: unset;
                            opacity: 1;
                        }
                    }

                    img {
                        width: 2rem;
                        height: 2rem;
                        object-fit: contain;
                        object-position: center;
                        filter: grayscale(1.3);
                        opacity: 0.6;
                        transition: all 0.25s;
                    }
                }
            }

            .unit-test-name {
                width: 100%;
                text-align: start;
                font-weight: 500;
                font-size: 14px;
                line-height: 20px;
                min-height: 20px;
                color: #202226;
            }

            .info-content {
                display: flex;
                flex-direction: column;
                align-items: flex-start;
                padding: 12px;
                gap: 8px;
                width: 100%;
                height: 94px;
                background: #FFF8F4;
                border-radius: 8px;

                .line-info {
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    justify-content: space-between;
                    width: 100%;

                    .total-time {
                        display: flex;
                        flex-direction: row;
                        justify-content: center;
                        align-items: center;
                        width: 100%;
                        gap: 6px;
                        height: 24px;
                        background: #D7F9F5;
                        border-radius: 8px;

                        .text {
                            font-weight: 500;
                            font-size: 13px;
                            line-height: 20px;
                            color: #52888B;
                        }
                    }

                    // .test-type {
                    //     display: flex;
                    //     align-items: center;
                    //     justify-content: center;
                    //     width: 50%;
                    //     height: 24px;
                    //     background: #F9E5D7;
                    //     border-radius: 8px;

                    //     font-weight: 500;
                    //     font-size: 13px;
                    //     line-height: 20px;
                    //     color: #8B5252;
                    // }

                    .text-info {
                        font-weight: 400;
                        font-size: 13px;
                        line-height: 17px;
                        color: #202226;
                    }

                    .number-info {
                        font-weight: 500;
                        font-size: 13px;
                        line-height: 17px;
                        text-align: right;
                        color: #202226;
                    }
                }
            }
        }
    }

    .new-pagination {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        height: 65px;
        transition: all 0.25s;
    }
}

.action-table-tooltip {
    padding: 0.5rem 0.8rem;
    background: rgba($color: #43439d, $alpha: 0.75);
    border-radius: 0.8rem;
    color: #fff;
    font-size: 1.2rem;
    font-weight: 500;
    line-height: 1.6rem;

    &:after {
        display: none;
    }
}
.poperverModal{
    border-radius: 12px;
    box-shadow: 0px 4px 20px rgba(76, 95, 168, 0.1);

    // [class~='rs-popover-arrow'] {
    //     margin-top: 0px !important;
    //     top: 12px;
    //     bottom: unset;
    //     display: none;
    // }
}
// .poperverModal[class~=placement-right-end],
// .poperverModal[class~=placement-left-end] {
//     [class~='rs-popover-arrow'] {
//         bottom: 12px;
//         top: unset;
//     }
// }

.table-action-popover {
    width: 18rem;

    .item {
        height: 3.2rem;
        padding: 0 0.5rem;

        display: flex;
        align-items: center;
        border-radius: 0.8rem;
        color: #575757;
        font-size: 1.2rem;
        font-weight: 600;
        transition: all 0.25s;
        cursor: pointer;

        &:hover {
            background: #e4e4f0;
            color: #6868ac;

            svg {
                path:not([stroke-linecap="round"]) {
                    fill: #6868ac;
                }

                path[stroke-linecap="round"] {
                    stroke: #6868ac;
                }
            }
        }

        svg {
            width: 1.6rem;
            height: 1.6rem;
            margin: 0 0.8rem 0 0;
            min-width: 1.6rem;

            path {
                transition: all 0.25s;
            }
        }

        img {
            width: 1.4rem;
            height: 1.4rem;
            margin: 0 1rem;
        }
    }
}